Bug 5972 - testparm -L does not work
testparm -L does not work
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.1
x86 Linux
: P3 trivial
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 12:39 UTC by TAKAHASHI Motonobu
Modified: 2010-05-05 11:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-12-15 12:39:51 UTC
It seems that "testparm -L" does not work.

How to reproduce:

(1) make smb.conf

[global]
  server string = %L

(2) run "testparm -L foobar"

(3) expected output is :

-----
[global]
  server string = foobar
-----

but actually the output is:

-----
[global]
  server string = %L
-----
Comment 1 Karolin Seeger 2010-04-08 05:30:24 UTC
Changing component.

Can confirm that this is still an issue in 3.5.1.
Comment 2 TAKAHASHI Motonobu 2010-05-04 07:01:48 UTC
(In reply to comment #1)
> Changing component.
> 
> Can confirm that this is still an issue in 3.5.1.

At 3.5.2, it does not work well yet.

Comment 3 Volker Lendecke 2010-05-04 12:31:10 UTC
Do you really depend on this feature? I've taken a quick look, but I think it would take more than a few minutes to fix this. I'd rather go and dump it.

Volker
Comment 4 TAKAHASHI Motonobu 2010-05-04 12:52:00 UTC
(In reply to comment #3)
> Do you really depend on this feature?

Actually, do not.
I examined every parameter of testparm and found it.

If you will not want to fix this, I think simply to remove -L parameter is the best. 
Comment 5 Volker Lendecke 2010-05-05 11:08:36 UTC
Fixed. -L is gone :-)

Thanks,

Volker